<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("formadepago_idformadepago"=>$_POST["formadepago_idformadepago"],"factura_idfactura"=>$_POST["factura_idfactura"],"tipo_pago_idtipo_pago"=>$_POST["tipo_pago_idtipo_pago"],"fecha"=>$_POST["fecha"],"valor"=>$_POST["valor"],"descripcion"=>$_POST["descripcion"],);
  
  
  
   
    $in = $db->insert("ingreso",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("ingreso","idingreso",$_GET["id"]);
    break;
  case "up":
   $data = array("formadepago_idformadepago"=>$_POST["formadepago_idformadepago"],"factura_idfactura"=>$_POST["factura_idfactura"],"tipo_pago_idtipo_pago"=>$_POST["tipo_pago_idtipo_pago"],"fecha"=>$_POST["fecha"],"valor"=>$_POST["valor"],"descripcion"=>$_POST["descripcion"],);
   
   
   

    
    $up = $db->update("ingreso",$data,"idingreso",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>